com.google.gwt.user.client.ui

## Interface SuggestOracle.Callback

Enclosing class:
  SuggestOracle

    public static interface SuggestOracle.Callback

Callback for `SuggestOracle`. Every `SuggestOracle.Request` should be associated with a callback that should be called after a `SuggestOracle.Response` is generated.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onSuggestionsReady(SuggestOracle.Request request, SuggestOracle.Response response)` Consume the suggestions created by a `SuggestOracle` in response to a `SuggestOracle.Request`.

### Method Detail

#### onSuggestionsReady

    void onSuggestionsReady(SuggestOracle.Request request,
                            SuggestOracle.Response response)

Consume the suggestions created by a `SuggestOracle` in response to a `SuggestOracle.Request`.

Parameters:
  `request` - the request
  `response` - the response